package com.yeejoin.equipmanage.common.vo;

import java.util.ArrayList;
import java.util.List;

public class CalculateUnitResponse {
	private String unitClassificationId;    //分类id
	private String key;                          //key
	private String unitName;  //计量单位名称
	private String unitCode;  //单位编码
	private String unitState;          //信息状态
	private String unitDescription;    //单位描述
	private String parentId;           //父类id
	private boolean hasLowerClassification;      //是否有下级分类
	private List<CalculateUnitResponse> children = new ArrayList<CalculateUnitResponse>(); //下级分类
	public String getUnitClassificationId() {
		return unitClassificationId;
	}
	public void setUnitClassificationId(String unitClassificationId) {
		this.unitClassificationId = unitClassificationId;
		setKey(unitClassificationId);
	}
	public String getKey() {
		return key;
	}
	public void setKey(String key) {
		this.key = key;
	}
	public String getUnitName() {
		return unitName;
	}
	public void setUnitName(String unitName) {
		this.unitName = unitName;
	}
	public String getUnitCode() {
		return unitCode;
	}
	public void setUnitCode(String unitCode) {
		this.unitCode = unitCode;
	}
	public String getUnitState() {
		return unitState;
	}
	public void setUnitState(String unitState) {
		this.unitState = unitState;
	}
	public boolean isHasLowerClassification() {
		return hasLowerClassification;
	}
	public void setHasLowerClassification(boolean hasLowerClassification) {
		this.hasLowerClassification = hasLowerClassification;
	}
	public List<CalculateUnitResponse> getChildren() {
		return children;
	}
	public void setChildren(List<CalculateUnitResponse> children) {
		this.children = children;
	}
	public String getUnitDescription() {
		return unitDescription;
	}
	public void setUnitDescription(String unitDescription) {
		this.unitDescription = unitDescription;
	}
	public String getParentId() {
		return parentId;
	}
	public void setParentId(String parentId) {
		this.parentId = parentId;
	}
}
